<?xml version='1.0' encoding='UTF-8'?>
<UNICOSMetaModel xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='..\unicos\UNICOSMetaModel.xsd'>
  <Information>
    <Name>WordStatus</Name>
    <ObjectTypeFamily>InterfaceObjectFamily</ObjectTypeFamily>
    <Description>Word Status Device</Description>
    <Version>$LastChangedRevision: 117564 $</Version>
    <VersionComments/>
    <Status/>
  </Information>
  <AttributeFamily>
    <AttributeFamilyName>DeviceIdentification</AttributeFamilyName>
    <UserExpandable>false</UserExpandable>
    <Attribute>
      <AttributeName>Name</AttributeName>
      <Description>Name of the device. It must be unique.
Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>true</isValueRequired>
        <Usage>Name displayed at the SCADA level if "Expert Name" is not specified.
This name will appear in the datapoints created in the SCADA layer.</Usage>
        <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
        <Constraints>Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break
Name must be unique.</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>ExpertName</AttributeName>
      <Description>Name of the device displayed at the SCADA level. It must be unique.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Expert Name</NameRepresentation>
        <TypeRepresentation>STRING</TypeRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>It does not affect to the datapoints names in the SCADA layer.</Usage>
        <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
        <Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]
Expert Name must be unique.</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>DeviceDocumentation</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>DeviceDescription</AttributeName>
      <Description>Description of the device.  </Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Description</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Used in the SCADA layer in the device faceplate</Usage>
        <DependentAttributes/>
        <Constraints>In principle there is no limit to the number of characters used, however a long description may result in display issues at the SCADA level.
Forbidden characters:  ;</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>Remarks</AttributeName>
      <Description>Field used to add relevant information about the device. </Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>false</isValueRequired>
        <Usage>This information is not used in the generation process, it remains only at the specification level for documentation purposes.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  ;</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceParameters</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>PMinRan</AttributeName>
      <Meaning>Parameter Minimum Range</Meaning>
      <Description>Minimum engineering value of the device.</Description>
      <PrimitiveType>WORD</PrimitiveType>
      <DefaultValue>0</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Range Min</NameRepresentation>
        <TypeRepresentation>SHORTINT16</TypeRepresentation>
        <isValueRequired>true</isValueRequired>
        <Usage>A linear conversion is performed between the raw range and engineering range.</Usage>
        <DependentAttributes/>
        <Constraints>The value specified here must be consistent with the format defined in the field "Format".</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>PMaxRan</AttributeName>
      <Meaning>Parameter Maximum Range</Meaning>
      <Description>Maximum engineering value of the device.</Description>
      <PrimitiveType>WORD</PrimitiveType>
      <DefaultValue>65535</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Range Max</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <Usage>A linear conversion is performed between the raw range and engineering range.</Usage>
        <DependentAttributes/>
        <Constraints>The value specified here must be consistent with the format defined in the field "Format".</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceAutoRequests</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>AuPosR</AttributeName>
      <Meaning>Auto Position Request.</Meaning>
      <Description>Auto Position Request: The control logic requests a specific position on the object.</Description>
      <PrimitiveType>WORD</PrimitiveType>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceOutputs</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>PosSt</AttributeName>
      <Meaning>Position status</Meaning>
      <Description>Position Status</Description>
      <isCommunicated>true</isCommunicated>
      <isArchived>true</isArchived>
      <PrimitiveType>WORD</PrimitiveType>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceIOConfig</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>FEType</AttributeName>
      <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>FE Encoding Type</NameRepresentation>
        <TypeRepresentation>STRING</TypeRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
        <DependentAttributes>FEChannel.InterfaceParamX (where X=1-10)</DependentAttributes>
        <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>FEChannel</AttributeName>
      <Description>Indicates how to map the acquisition of the information from the field I/O interface.</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <Attribute>
        <AttributeName>InterfaceParam1</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam2</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam3</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam4</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam5</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam6</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam7</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam8</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam9</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam10</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceGraphics</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>PosStUnit</AttributeName>
      <Description>Unit of the device to be displayed in SCADA</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Unit</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage/>
        <DependentAttributes/>
        <Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>PosStFormat</AttributeName>
      <Description>Format of the value to be displayed in SCADA. Supported formats: 
#.## (fixed number of decimal places, in this case 2), 
EXP or xEXP (exponential, 3 or x digits after '.'), 
xD or xd (fixed digit format, x=number of digits, e.g.: 3D=0.01, 12.0, 123)</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Format</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <Usage>Example: use format #.## to display value to 2 decimal places. To the left of the decimal point, the SCADA layer will display as many digits as required by the object value, therefore a single # is enough.</Usage>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>WidgetType</AttributeName>
      <Description>Define the widget type to display in the SCADA device tree overview only. 
The widget displayed in the process panel will be selected when the user creates the panel.</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Widget Type</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <isCaseSensitive>true</isCaseSensitive>
        <PermittedValue>WordStatus</PermittedValue>
        <PermittedValue>WordStatusWide</PermittedValue>
        <PermittedValue>WordStatusBit</PermittedValue>
        <PermittedValue>WordStatusBitBig</PermittedValue>
        <PermittedValue>Word2AnalogStatus</PermittedValue>
        <Usage/>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>Pattern</AttributeName>
      <Description>List of individual messages associated with the value of the object.
Strict format: "Nbr=Message,Nbr=Message". The message CAN contain a space.
If WordStatusBit: append "no_status=xxx,multiple_status=yyy" to set display for 0 or multiple bits</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>false</isValueRequired>
        <Usage>When not empty, the message corresponding to the value is displayed on the panel.</Usage>
        <DependentAttributes/>
        <Constraints>Strict format: "Nbr=Message,Nbr=Message". The message CAN contain a space.
If WordStatusBit: append "no_status=xxx,multiple_status=yyy" to set display for 0 or multiple bits</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>Synoptic</AttributeName>
      <Description>Define link between the device and an existing synoptic where it appears. The synoptic specified here can be accessed from the device right-click menu item "Synoptic".</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>false</isValueRequired>
        <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project.</Usage>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>DiagnosticPanel</AttributeName>
      <Description>Define link between the device and an existing diagnostic panel for the device. The panel specified here can be accessed from the device right-click menu item "Diagnostic" as well as from the "Diagnostic" button on the object faceplate.</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Diagnostic</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project </Usage>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>WWWLink</AttributeName>
      <Description>Define link between the device and an existing web page (or pdf file, or other file which can be opened with IE).  The link can be accessed from the device right-click menu item "Info" as well as from the "Info" button on the object faceplate.</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>WWW Link</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage/>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceFunctionals</AttributeFamilyName>
    <UserExpandable>false</UserExpandable>
    <Attribute>
      <AttributeName>AccessControlDomain</AttributeName>
      <Description>Define Access Control on the device to an existing SCADA Domain
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Access Control Domain</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>This domain is used to grant access to this specific device. The domain specified for this object will allow access to the object only to registered users on that domain</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>SCADADeviceClassificationTags</AttributeName>
      <Description>It defines the Domain, Nature and DeviceLinks for the SCADA visualization</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <Attribute>
        <AttributeName>Domain</AttributeName>
        <Description>Domain of the device. If empty, the domain will be the name of the application
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Domain is used to filter the devices in the alarm list or in the device tree overview</Usage>
          <DependentAttributes/>
          <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Nature</AttributeName>
        <Description>Nature of the device. If empty, the nature will be the type of the device
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Nature is used to filter the devices in the alarm list or in the device tree overview</Usage>
          <DependentAttributes/>
          <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>DeviceLinks</AttributeName>
        <Description>Define links to other devices (separate device names with commas). 
Note: it is not necessary to link to master, parents or children because these links are automatically created.
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <NameRepresentation>Device Links</NameRepresentation>
          <isValueRequired>false</isValueRequired>
          <Usage>Linked devices will be shown in the device right-click menu</Usage>
          <DependentAttributes>Expert Name or Name.
The name of the device(s) specified here *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified here corresponds to "Name".</DependentAttributes>
          <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
        </isSpecificationAttribute>
      </Attribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceDataArchiving</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>ArchiveMode</AttributeName>
      <Description>Archive mode of the object engineering values. Archive if:
Old/New Comparison: value changes
Time: value changes after Time Filter
Deadband: value &lt; or &gt; deadband
AND: at least one of the conditions is fulfilled
OR: both conditions are fulfilled</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Archive Mode</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <PermittedValue>No</PermittedValue>
        <PermittedValue>Time</PermittedValue>
        <PermittedValue>Deadband</PermittedValue>
        <PermittedValue>Deadband AND Time</PermittedValue>
        <PermittedValue>Deadband OR Time</PermittedValue>
        <PermittedValue>Old/New Comparison</PermittedValue>
        <PermittedValue>Old/New Comparison AND Time</PermittedValue>
        <PermittedValue>Old/New Comparison OR Time</PermittedValue>
        <Usage>This archive mode is used to archive data in the PVSS database</Usage>
        <DependentAttributes>If "Time" is selected, "Time Filter (s)" must be filled 
If "Deadband"  is selected: "Deadband Type" and "Deadband Value" must be filled.</DependentAttributes>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>TimeFilter</AttributeName>
      <Description>Time filter for the SCADA archiving of the engineering values of the object. Must be positive.</Description>
      <PrimitiveType>FLOAT32</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Time Filter (s)</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage/>
        <DependentAttributes>Valid if "Time" has been selected as Archive Mode</DependentAttributes>
        <Constraints>Must be positive</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>DeadbandType</AttributeName>
      <Description>Deadband type (Relative or Absolute) of the deadband for the SCADA archiving of the engineering values of the object</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <DefaultValue>Relative</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Deadband Type</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <PermittedValue>Absolute</PermittedValue>
        <PermittedValue>Relative</PermittedValue>
        <Usage>The value is archived if the difference between the latest archived value and the actual value exceeds, either:
- if 'Absolute': the "Deadband Value"
- if 'Relative': the "Deadband Value" as a percent of the latest archived value</Usage>
        <DependentAttributes>Valid if "Deadband" has been selected as Archive Mode</DependentAttributes>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>DeadbandValue</AttributeName>
      <Description>Deadband value for the SCADA archiving of the engineering values of the object
Must be positive and larger than the deadband specified for the driver data smoothing (Driver deadband)</Description>
      <PrimitiveType>FLOAT32</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Deadband Value</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage/>
        <DependentAttributes>Valid if "Deadband" has been selected as Archive Mode</DependentAttributes>
        <Constraints>Must be positive and larger than the deadband specified for the driver data smoothing (Driver deadband)</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>BooleanArch</AttributeName>
      <Description>Name of the Boolean archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <DefaultValue>boolean</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Boolean Archive</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>The boolean values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>AnalogArch</AttributeName>
      <Description>Name of the analog archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <DefaultValue>analog</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Analog Archive</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>The analog values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>EventArch</AttributeName>
      <Description>Name of the event archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <DefaultValue>event</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Event Archive</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>The events generated by the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADriverDataSmoothing</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>DeadbandType</AttributeName>
      <Description>Deadband type (None, Relative, Absolute or Old/New) for the SCADA driver data smoothing (Driver deadband)</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Deadband Type</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <PermittedValue>No</PermittedValue>
        <PermittedValue>Relative</PermittedValue>
        <PermittedValue>Absolute</PermittedValue>
        <PermittedValue>Old/New</PermittedValue>
        <Usage>Used for the online display in SCADA</Usage>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>DeadbandValue</AttributeName>
      <Description>Deadband value for the SCADA driver data smoothing
Must be positive and smaller than the deadband specified for the archiving</Description>
      <PrimitiveType>FLOAT32</PrimitiveType>
      <DefaultValue>0.05</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Deadband Value</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Used for the online display in SCADA</Usage>
        <DependentAttributes/>
        <Constraints>Must be positive and smaller than the deadband specified for the archiving</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceParameters</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>FMinRan</AttributeName>
      <Description>Floating value corresponding to the Minimal Range.
Must be present when the Widget Type is "Word2AnalogStatus".</Description>
      <PrimitiveType>FLOAT32</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>F Range Min</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>When the Widget Type is "Word2AnalogStatus"  the word value will be converted at the level of the SCADA into a Float number .</Usage>
        <DependentAttributes>Widget Type</DependentAttributes>
        <Constraints>Must be present when the Widget Type is "Word2AnalogStatus".</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>FMaxRan</AttributeName>
      <Description>Floating value corresponding to the Maximal Range.</Description>
      <PrimitiveType>FLOAT32</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>F Range Max</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>When the Widget Type is "Word2AnalogStatus"  the word value will be converted at the level of the SCADA into a Float number .</Usage>
        <DependentAttributes>Widget Type</DependentAttributes>
        <Constraints>Must be present when the Widget Type is "Word2AnalogStatus"</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>TargetDeviceInformation</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>Target</AttributeName>
      <Description>Identifies a target type (e.g. SIEMENS, SCHNEIDER...)</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <DefaultValue>Siemens</DefaultValue>
      <Attribute>
        <AttributeName>RepresentationName</AttributeName>
        <Description>It's the name used ...</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <DefaultValue>WS</DefaultValue>
      </Attribute>
      <Attribute>
        <AttributeName>Optimized</AttributeName>
        <Description>Is this object an optimized Object?</Description>
        <PrimitiveType>BOOLEAN</PrimitiveType>
        <DefaultValue>true</DefaultValue>
      </Attribute>
      <Attribute>
        <AttributeName>LimitSize</AttributeName>
        <Description>Maximun number of instances allowed</Description>
        <PrimitiveType>INT32</PrimitiveType>
        <DefaultValue>2000</DefaultValue>
      </Attribute>
    </Attribute>
  </AttributeFamily>
</UNICOSMetaModel>
